List of all members
clan::RSA Class Reference
clanCore Crypto

RSA class. More...

`#include <rsa.h>`

## Static Public Member Functions
Attributes
static void | create_keypair (Random &random, Secret &out_private_exponent, DataBuffer &out_public_exponent, DataBuffer &out_modulus, int key_size_in_bits=1024, int public_exponent_value=65537)
| Create a keypair. More...
static DataBuffer | encrypt (int block_type, Random &random, const DataBuffer &in_public_exponent, const DataBuffer &in_modulus, const Secret &in_data)
| Encrypt. More...
static DataBuffer | encrypt (int block_type, Random &random, const void *in_public_exponent, unsigned int in_public_exponent_size, const void *in_modulus, unsigned int in_modulus_size, const void *in_data, unsigned int in_data_size)
| Encrypt. More...
static Secret | decrypt (const Secret &in_private_exponent, const DataBuffer &in_modulus, const DataBuffer &in_data)
| Decrypt. More...
static Secret | decrypt (const Secret &in_private_exponent, const void *in_modulus, unsigned int in_modulus_size, const void *in_data, unsigned int in_data_size)
| Decrypt. More...

## Detailed Description

RSA class.

Important: This class has NOT been tested thoroughly by a cryptography expert.

The documentation for this class was generated from the following file:

- rsa.h